import { HorizontalAnchoredCategorySeries } from "./HorizontalAnchoredCategorySeries";
import { Series } from "./Series";
import { SeriesView } from "./SeriesView";
import { Type, Point } from "igniteui-react-core";
import { MarkerFillMode } from "./MarkerFillMode";
import { Rect } from "igniteui-react-core";
import { List$1 } from "igniteui-react-core";
import { ChartSelection } from "./ChartSelection";
import { SeriesSelectionBehavior } from "./SeriesSelectionBehavior";
import { AnchoredCategorySeriesView } from "./AnchoredCategorySeriesView";
/**
 * @hidden
 */
export declare class PointSeries extends HorizontalAnchoredCategorySeries {
    static $t: Type;
    protected bj(): Series;
    protected get_ei(): boolean;
    protected cs(): SeriesView;
    acu: PointSeriesView;
    qz(a: SeriesView): void;
    constructor();
    protected jl(): number;
    wz(): MarkerFillMode;
    gw(a: Point, b: boolean): boolean;
    protected q7(a: any, b: string, c: any, d: any): void;
    p2(a: Rect, b: List$1<ChartSelection>, c: SeriesSelectionBehavior): void;
    ak(a: Rect, b: SeriesSelectionBehavior): ChartSelection[];
    get useHighMarkerFidelity(): boolean;
}
/**
 * @hidden
 */
export declare class PointSeriesView extends AnchoredCategorySeriesView {
    static $t: Type;
    protected df: PointSeries;
    constructor(a: PointSeries);
    au(): void;
    protected af(): void;
}
